Playing Last Epoch Using WINE

As Last Epoch has a Linux client we do not support using WINE to run the Windows version.

Please report any bugs you encounter when using the Linux client so that we can improve it for everyone. Knowing which distro & DE you're using can be very helpful.

Did this answer your question? Thanks for the feedback There was a problem submitting your feedback. Please try again later.

Still need help? Contact Us Contact Us